def lunar_arithmetic(a, b):
    a_digits = list(map(int, str(a)))
    b_digits = list(map(int, str(b)))
    max_length = max(len(a_digits), len(b_digits))
    a_digits = [0] * (max_length - len(a_digits)) + a_digits
    b_digits = [0] * (max_length - len(b_digits)) + b_digits
    lunar_sum = [max(a_digit, b_digit) for a_digit, b_digit in zip(a_digits, b_digits)]
    lunar_product = [min(a_digit, b_digit) for a_digit, b_digit in zip(a_digits, b_digits)]
    lunar_sum_str = ''.join(map(str, lunar_sum))
    lunar_product_str = ''.join(map(str, lunar_product))
    return lunar_sum_str, lunar_product_str
a = input()
b = input()
lunar_sum_result, lunar_product_result = lunar_arithmetic(a, b)
print(lunar_sum_result, lunar_product_result)
